Create Bulk Sync Schedule

Adds a new schedule to a bulk sync. A bulk sync can have multiple schedules attached; adding one here does not replace existing schedules. Schedule times are interpreted in UTC. Creating a schedule only affects future automatic executions. To run the sync immediately, call [`POST /api/bulk/syncs/{id}/executions`](../../../../../api-reference/bulk-sync/start).

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

sync_idstringRequiredformat: "uuid"
Unique identifier of the bulk sync to add a schedule to.

Headers

X-Polytomic-VersionstringRequired

Request

This endpoint expects an object.
scheduleobjectRequired

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error